/**
 * Remove all values from Local and Session storage
 * @param except - Except key or key list
 * @returns void
 */
export declare function clearStorage(except?: string | string[]): void;
/**
 * Get all keys from Local and Session storage
 *
 * @returns Stored keys from Local and Session storage
 */
export declare function getKeys(): Record<string, string[]>;
/**
 * Get all keys and values from Local and Session storage
 *
 * @returns Stored keys and values from Local and Session storage
 */
export declare function getAll(): Record<string, Record<string, any>[]>;
/**
 * Get count of stored keys from Local and Session storage
 *
 * @returns Stored keys count from Local and Session storage
 */
export declare function getKeysCount(): Record<string, number>;
