/**
 * Store value to Local storage
 * @param key - Stored value key
 * @param value - Stored value
 * @returns - void
 */
export declare function toLocalStorage(key: string, value: any): void;
/**
 * Get value from Local storage
 *
 * @param key - Stored value key
 * @returns Stored value
 */
export declare function fromLocalStorage(key: string): any;
/**
 * Remove value from Local storage
 *
 * @param key - Stored value key
 * @returns void
 */
export declare function removeFromLocalStorage(key: string): void;
/**
 * Remove all values from Local storage
 *
 * @param except - Except key or key list
 * @returns void
 */
export declare function clearLocalStorage(except?: string | string[]): void;
/**
 * Get all keys from Local storage
 *
 * @returns Stored keys
 */
export declare function getKeysFromLocalStorage(): string[];
/**
 * Get all keys and values from Local storage
 *
 * @returns Stored keys and values
 */
export declare function getAllFromLocalStorage(): Record<string, any>[];
/**
 * Get count of stored keys from Local storage
 *
 * @returns Stored keys count
 */
export declare function getKeysCountFromLocalStorage(): number;
