"use strict";
var storageMock = (function () {
    var store = {};
    return {
        getItem: function (key) {
            return store[key] || null;
        },
        setItem: function (key, value) {
            store[key] = value;
        },
        removeItem: function (key) {
            delete store[key];
        },
        clear: function () {
            store = {};
        },
        get length() {
            return Object.keys(store).length;
        },
        key: function (i) {
            var keys = Object.keys(store);
            return keys[i] || null;
        },
    };
})();
Object.defineProperty(window, 'localStorage', {
    value: storageMock,
});
Object.defineProperty(window, 'sessionStorage', {
    value: storageMock,
});
